public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: add psi=1 to the kernel command line
@ 2026-09-11 13:23 Milos Malik
  0 siblings, 0 replies; only message in thread
From: Milos Malik @ 2026-09-11 13:23 UTC (permalink / raw)
  To: git-commits

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 8b6da4df0e33306be152b66be3618cc6f742b376
            Author : Milos Malik <mmalik@redhat.com>
            Date   : 2026-04-13T07:30:27+00:00
            Stats  : +6/-0 in 1 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/8b6da4df0e33306be152b66be3618cc6f742b376?branch=pr775-checkpolicy-revdeps

            Log:
            add psi=1 to the kernel command line

For a successful run of the /selinux-policy/systemd-oomd test we
need the Pressure Stall Information (PSI) to be available.
From now on, the test add the psi=1 parameter to the kernel
command line and reboots the machine. The test should pass after
a reboot.

---
diff --git a/selinux-policy/systemd-oomd/runtest.sh b/selinux-policy/systemd-oomd/runtest.sh
index dd3e54f..e7f74e9 100755
--- a/selinux-policy/systemd-oomd/runtest.sh
+++ b/selinux-policy/systemd-oomd/runtest.sh
@@ -26,6 +26,12 @@
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
+if ! grep psi=1 /proc/cmdline ; then
+    grubby --update-kernel ALL --args psi=1
+    sync
+    tmt-reboot
+fi
+
 # Include rhts environment
 . /usr/share/beakerlib/beakerlib.sh || exit 1
 

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-09-11 13:23 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:23 [tests/selinux] pr775-checkpolicy-revdeps: add psi=1 to the kernel command line Milos Malik

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox